import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询设备维护列表
export function listEquipmentMaintenance(query) {
  return request({
    url: baseUrl + '/business/equipmentMaintenance/list',
    method: 'get',
    params: query
  })
}

// 查询设备维护详细
export function getEquipmentMaintenance(id) {
  return request({
    url: baseUrl + '/business/equipmentMaintenance/' + id,
    method: 'get'
  })
}

// 新增设备维护
export function addEquipmentMaintenance(data) {
  return request({
    url: baseUrl + '/business/equipmentMaintenance',
    method: 'post',
    data: data
  })
}

// 修改设备维护
export function updateEquipmentMaintenance(data) {
  return request({
    url: baseUrl + '/business/equipmentMaintenance',
    method: 'put',
    data: data
  })
}

// 删除设备维护
export function delEquipmentMaintenance(id) {
  return request({
    url: baseUrl + '/business/equipmentMaintenance/' + id,
    method: 'delete'
  })
}
